For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • GETReturns all task dependency templates for a given task bundle.
      • POSTCreates a task dependency template for two task templates of the given task bundle.
      • GETReturns a task dependency template by id for a given task bundle.
      • DELDeletes the task dependency template from the task bundle.
      • GETReturns the task dependency templates for a given task template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Dependency Templates

Returns the task dependency templates for a given task template.

GET
https://api.awork.com/api/v1/tasktemplates/:taskTemplateId/taskdependencytemplates
GET
/api/v1/tasktemplates/:taskTemplateId/taskdependencytemplates
$curl https://api.awork.com/api/v1/tasktemplates/taskTemplateId/taskdependencytemplates \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "createdOn": "2022-03-11T15:33:47.100Z",
5 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
6 "updatedOn": "2022-03-11T21:15:00.100Z",
7 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
8 "predecessorTemplateId": "f76a7b32-f279-ec11-94f6-dc984040d6c9",
9 "successorTemplateId": "fc8e5a55-e96f-ec11-94f6-dc984040d6c7"
10 }
11]
<Check title="Required Permissions" icon="key">The user must be an admin or have `task-manage-config:read` permissions.</Check>
Was this page helpful?
Previous

Removes a tag from all project templates.

Next
Built with
Required Permissions
The user must be an admin or have task-manage-config:read permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskTemplateIdstringRequiredformat: "uuid"
The id of the task template.

Response

OK
idstringformat: "uuid"
The id of the entity.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
predecessorTemplateIdstringformat: "uuid"
The id of the predecessor task template.
successorTemplateIdstringformat: "uuid"
The id of the successor task template.

Errors

401
Unauthorized Error
404
Not Found Error